Eclipse Platform Release 3.7

## org.eclipse.ui
Class WorkbenchEncoding

    java.lang.Object
      org.eclipse.ui.WorkbenchEncoding

    public class WorkbenchEncoding

extends Object

WorkbenchEncoding is a utility class for plug-ins that want to use the list of encodings defined by default in the workbench.

Since:
  3.1

Constructor Summary
`WorkbenchEncoding()`

Method Summary
`static List` `getDefinedEncodings()` Return the list of encodings defined using the org.eclipse.ui.encodings extension point.
`static String` `getWorkbenchDefaultEncoding()` Get the default encoding from the virtual machine.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkbenchEncoding

    public WorkbenchEncoding()

Method Detail

### getWorkbenchDefaultEncoding

    public static String getWorkbenchDefaultEncoding()

  Get the default encoding from the virtual machine.

  Returns:
    String

### getDefinedEncodings

    public static List getDefinedEncodings()

  Return the list of encodings defined using the org.eclipse.ui.encodings extension point.

  Returns:
    List of String

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.